#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'klisteditor.ui'
**
** Created: 2015-12-01T17:06:03
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "klisteditor.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlineedit.h>
#include <qlistbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klisteditor.ui.h"

/*
 *  Constructs a KListEditor as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KListEditor::KListEditor( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KListEditor" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, sizePolicy().hasHeightForWidth() ) );
    KListEditorLayout = new QHBoxLayout( this, 0, 0, "KListEditorLayout"); 

    _frame = new QGroupBox( this, "_frame" );
    _frame->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, _frame->sizePolicy().hasHeightForWidth() ) );
    _frame->setColumnLayout(0, Qt::Vertical );
    _frame->layout()->setSpacing( 6 );
    _frame->layout()->setMargin( 11 );
    _frameLayout = new QHBoxLayout( _frame->layout() );
    _frameLayout->setAlignment( Qt::AlignTop );

    Layout3 = new QVBoxLayout( 0, 0, 6, "Layout3"); 

    _edit = new QLineEdit( _frame, "_edit" );
    Layout3->addWidget( _edit );

    Layout2 = new QHBoxLayout( 0, 0, 6, "Layout2"); 

    _list = new QListBox( _frame, "_list" );
    _list->setMinimumSize( QSize( 200, 200 ) );
    Layout2->addWidget( _list );

    Layout5_2 = new QVBoxLayout( 0, 0, 6, "Layout5_2"); 

    _addButton = new QPushButton( _frame, "_addButton" );
    _addButton->setEnabled( FALSE );
    Layout5_2->addWidget( _addButton );

    _removeButton = new QPushButton( _frame, "_removeButton" );
    _removeButton->setEnabled( FALSE );
    Layout5_2->addWidget( _removeButton );

    _upButton = new QPushButton( _frame, "_upButton" );
    _upButton->setEnabled( FALSE );
    Layout5_2->addWidget( _upButton );

    _downButton = new QPushButton( _frame, "_downButton" );
    _downButton->setEnabled( FALSE );
    Layout5_2->addWidget( _downButton );
    Spacer2_2 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    Layout5_2->addItem( Spacer2_2 );
    Layout2->addLayout( Layout5_2 );
    Layout3->addLayout( Layout2 );
    _frameLayout->addLayout( Layout3 );
    KListEditorLayout->addWidget( _frame );
    languageChange();
    resize( QSize(334, 274).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( _addButton, SIGNAL( pressed() ), this, SLOT( addToList() ) );
    connect( _removeButton, SIGNAL( pressed() ), this, SLOT( removeFromList() ) );
    connect( _upButton, SIGNAL( pressed() ), this, SLOT( upInList() ) );
    connect( _downButton, SIGNAL( pressed() ), this, SLOT( downInList() ) );
    connect( _edit, SIGNAL( returnPressed() ), this, SLOT( updateList() ) );
    connect( _edit, SIGNAL( textChanged(const QString&) ), this, SLOT( editChanged(const QString&) ) );
    connect( _list, SIGNAL( highlighted(int) ), this, SLOT( updateButtons(int) ) );
    connect( _list, SIGNAL( highlighted(const QString&) ), _edit, SLOT( setText(const QString&) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KListEditor::~KListEditor()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KListEditor::languageChange()
{
    _frame->setTitle( QString::null );
    _list->clear();
    _list->insertItem( tr2i18n( "New Item" ) );
    _addButton->setText( tr2i18n( "Add" ) );
    _removeButton->setText( tr2i18n( "Remove" ) );
    _upButton->setText( tr2i18n( "Up" ) );
    _downButton->setText( tr2i18n( "Down" ) );
}

/****************************************************************************
** KListEditor meta object code from reading C++ file 'klisteditor.h'
**
** Created: Tue Dec 1 17:06:03 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "klisteditor.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

#include <qvariant.h>
const char *KListEditor::className() const
{
    return "KListEditor";
}

QMetaObject *KListEditor::metaObj = 0;
static QMetaObjectCleanUp cleanUp_KListEditor( "KListEditor", &KListEditor::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString KListEditor::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KListEditor", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString KListEditor::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KListEditor", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* KListEditor::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"addToList", 0, 0 };
    static const QUMethod slot_1 = {"downInList", 0, 0 };
    static const QUMethod slot_2 = {"removeFromList", 0, 0 };
    static const QUMethod slot_3 = {"upInList", 0, 0 };
    static const QUParameter param_slot_4[] = {
	{ "newIndex", &static_QUType_int, 0, QUParameter::In }
    };
    static const QUMethod slot_4 = {"updateButtons", 1, param_slot_4 };
    static const QUMethod slot_5 = {"updateList", 0, 0 };
    static const QUParameter param_slot_6[] = {
	{ "contents", &static_QUType_varptr, "\x04", QUParameter::In }
    };
    static const QUMethod slot_6 = {"setList", 1, param_slot_6 };
    static const QUParameter param_slot_7[] = {
	{ "s", &static_QUType_QString, 0, QUParameter::In }
    };
    static const QUMethod slot_7 = {"setTitle", 1, param_slot_7 };
    static const QUParameter param_slot_8[] = {
	{ 0, &static_QUType_QVariant, "\x04", QUParameter::Out }
    };
    static const QUMethod slot_8 = {"list", 1, param_slot_8 };
    static const QUMethod slot_9 = {"languageChange", 0, 0 };
    static const QUParameter param_slot_10[] = {
	{ "s", &static_QUType_QString, 0, QUParameter::In }
    };
    static const QUMethod slot_10 = {"editChanged", 1, param_slot_10 };
    static const QMetaData slot_tbl[] = {
	{ "addToList()", &slot_0, QMetaData::Public },
	{ "downInList()", &slot_1, QMetaData::Public },
	{ "removeFromList()", &slot_2, QMetaData::Public },
	{ "upInList()", &slot_3, QMetaData::Public },
	{ "updateButtons(int)", &slot_4, QMetaData::Public },
	{ "updateList()", &slot_5, QMetaData::Public },
	{ "setList(QStringList)", &slot_6, QMetaData::Public },
	{ "setTitle(const QString&)", &slot_7, QMetaData::Public },
	{ "list()", &slot_8, QMetaData::Public },
	{ "languageChange()", &slot_9, QMetaData::Protected },
	{ "editChanged(const QString&)", &slot_10, QMetaData::Protected }
    };
    static const QUMethod signal_0 = {"itemsChanged", 0, 0 };
    static const QMetaData signal_tbl[] = {
	{ "itemsChanged()", &signal_0, QMetaData::Public }
    };
    metaObj = QMetaObject::new_metaobject(
	"KListEditor", parentObject,
	slot_tbl, 11,
	signal_tbl, 1,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_KListEditor.setMetaObject( metaObj );
    return metaObj;
}

void* KListEditor::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KListEditor" ) )
	return this;
    return QWidget::qt_cast( clname );
}

// SIGNAL itemsChanged
void KListEditor::itemsChanged()
{
    activate_signal( staticMetaObject()->signalOffset() + 0 );
}

bool KListEditor::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: addToList(); break;
    case 1: downInList(); break;
    case 2: removeFromList(); break;
    case 3: upInList(); break;
    case 4: updateButtons((int)static_QUType_int.get(_o+1)); break;
    case 5: updateList(); break;
    case 6: setList((QStringList)(*((QStringList*)static_QUType_ptr.get(_o+1)))); break;
    case 7: setTitle((const QString&)static_QUType_QString.get(_o+1)); break;
    case 8: static_QUType_QVariant.set(_o,QVariant(list())); break;
    case 9: languageChange(); break;
    case 10: editChanged((const QString&)static_QUType_QString.get(_o+1)); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool KListEditor::qt_emit( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->signalOffset() ) {
    case 0: itemsChanged(); break;
    default:
	return QWidget::qt_emit(_id,_o);
    }
    return TRUE;
}
#ifndef QT_NO_PROPERTIES

bool KListEditor::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool KListEditor::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
