#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'editorpreferences.ui'
**
** Created: 2015-12-01T17:06:48
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "editorpreferences.h"

#include <qvariant.h>
#include <toolselectionwidget.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qframe.h>
#include <qcheckbox.h>
#include <qgroupbox.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlabel.h>
#include <kcolorbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "editorpreferences.ui.h"

/*
 *  Constructs a EditorPreferences as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
EditorPreferences::EditorPreferences( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "EditorPreferences" );
    EditorPreferencesLayout = new QVBoxLayout( this, 11, 6, "EditorPreferencesLayout"); 

    tabWidget2 = new QTabWidget( this, "tabWidget2" );

    tab = new QWidget( tabWidget2, "tab" );
    tabLayout = new QVBoxLayout( tab, 11, 6, "tabLayout"); 

    frame6 = new QFrame( tab, "frame6" );
    frame6->setFrameShape( QFrame::StyledPanel );
    frame6->setFrameShadow( QFrame::Raised );
    frame6Layout = new QHBoxLayout( frame6, 11, 6, "frame6Layout"); 

    kcfg_AutoUnsetFuzzy = new QCheckBox( frame6, "kcfg_AutoUnsetFuzzy" );
    frame6Layout->addWidget( kcfg_AutoUnsetFuzzy );

    kcfg_CleverEditing = new QCheckBox( frame6, "kcfg_CleverEditing" );
    frame6Layout->addWidget( kcfg_CleverEditing );
    tabLayout->addWidget( frame6 );

    groupBox3 = new QGroupBox( tab, "groupBox3" );
    groupBox3->setColumnLayout(0, Qt::Vertical );
    groupBox3->layout()->setSpacing( 6 );
    groupBox3->layout()->setMargin( 11 );
    groupBox3Layout = new QVBoxLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( Qt::AlignTop );

    _kcfg_AutoCheckTools = new ToolSelectionWidget( groupBox3, "_kcfg_AutoCheckTools" );
    groupBox3Layout->addWidget( _kcfg_AutoCheckTools );

    kcfg_BeepOnError = new QCheckBox( groupBox3, "kcfg_BeepOnError" );
    groupBox3Layout->addWidget( kcfg_BeepOnError );

    kcfg_AutoCheckColorError = new QCheckBox( groupBox3, "kcfg_AutoCheckColorError" );
    groupBox3Layout->addWidget( kcfg_AutoCheckColorError );
    tabLayout->addWidget( groupBox3 );
    spacer8 = new QSpacerItem( 20, 21, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tabLayout->addItem( spacer8 );
    tabWidget2->insertTab( tab, QString::fromLatin1("") );

    tab_2 = new QWidget( tabWidget2, "tab_2" );
    tabLayout_2 = new QVBoxLayout( tab_2, 11, 6, "tabLayout_2"); 

    frame3 = new QFrame( tab_2, "frame3" );
    frame3->setFrameShape( QFrame::StyledPanel );
    frame3->setFrameShadow( QFrame::Raised );
    frame3Layout = new QGridLayout( frame3, 1, 1, 11, 6, "frame3Layout"); 

    kcfg_HighlightSyntax = new QCheckBox( frame3, "kcfg_HighlightSyntax" );

    frame3Layout->addWidget( kcfg_HighlightSyntax, 0, 0 );

    kcfg_HighlightBackground = new QCheckBox( frame3, "kcfg_HighlightBackground" );

    frame3Layout->addWidget( kcfg_HighlightBackground, 1, 0 );

    kcfg_WhitespacePoints = new QCheckBox( frame3, "kcfg_WhitespacePoints" );

    frame3Layout->addWidget( kcfg_WhitespacePoints, 0, 1 );

    kcfg_EnableQuotes = new QCheckBox( frame3, "kcfg_EnableQuotes" );

    frame3Layout->addWidget( kcfg_EnableQuotes, 1, 1 );
    tabLayout_2->addWidget( frame3 );

    buttonGroup1 = new QButtonGroup( tab_2, "buttonGroup1" );
    buttonGroup1->setColumnLayout(0, Qt::Vertical );
    buttonGroup1->layout()->setSpacing( 6 );
    buttonGroup1->layout()->setMargin( 11 );
    buttonGroup1Layout = new QHBoxLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( Qt::AlignTop );

    kcfg_LedInStatusbar = new QRadioButton( buttonGroup1, "kcfg_LedInStatusbar" );
    buttonGroup1Layout->addWidget( kcfg_LedInStatusbar );

    radioButton2 = new QRadioButton( buttonGroup1, "radioButton2" );
    radioButton2->setChecked( TRUE );
    buttonGroup1Layout->addWidget( radioButton2 );
    spacer1 = new QSpacerItem( 51, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    buttonGroup1Layout->addItem( spacer1 );

    textLabel7 = new QLabel( buttonGroup1, "textLabel7" );
    buttonGroup1Layout->addWidget( textLabel7 );

    kcfg_LedColor = new KColorButton( buttonGroup1, "kcfg_LedColor" );
    buttonGroup1Layout->addWidget( kcfg_LedColor );
    tabLayout_2->addWidget( buttonGroup1 );
    spacer2 = new QSpacerItem( 20, 29, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tabLayout_2->addItem( spacer2 );
    tabWidget2->insertTab( tab_2, QString::fromLatin1("") );
    EditorPreferencesLayout->addWidget( tabWidget2 );
    languageChange();
    resize( QSize(627, 480).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( kcfg_LedInStatusbar, SIGNAL( toggled(bool) ), this, SLOT( ledWarning(bool) ) );
    connect( radioButton2, SIGNAL( toggled(bool) ), this, SLOT( ledWarning(bool) ) );
    connect( kcfg_LedInStatusbar, SIGNAL( toggled(bool) ), this, SLOT( toggleOther(bool) ) );

    // buddies
    textLabel7->setBuddy( kcfg_LedColor );
}

/*
 *  Destroys the object and frees any allocated resources
 */
EditorPreferences::~EditorPreferences()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void EditorPreferences::languageChange()
{
    kcfg_AutoUnsetFuzzy->setText( tr2i18n( "A&utomatically unset fuzzy status" ) );
    QWhatsThis::add( kcfg_AutoUnsetFuzzy, tr2i18n( "<qt><p><b>Automatically unset fuzzy status</b></p>\n"
"<p>If this is activated and you are editing a fuzzy entry, the fuzzy status is automatically\n"
"unset (this means the string <i>, fuzzy</i>\n"
"is removed from the entry's comment).</p></qt>" ) );
    kcfg_CleverEditing->setText( tr2i18n( "Use cle&ver editing" ) );
    QWhatsThis::add( kcfg_CleverEditing, tr2i18n( "<qt><p><b>Use clever editing</b></p>\n"
"<p>Check this to make typing text more comfortable and let \n"
"KBabel take care of some special characters that have to \n"
"be quoted. For example typing '\\\"' will result in \n"
"'\\\\\\\"', pressing Return will automatically add whitespace \n"
"at the end of the line, pressing Shift+Return will add \n"
"'\\\\n' at the end of the line.</p>\n"
"<p>Note that this is just a hint: it is still possible to \n"
"generate syntactically incorrect text.</p></qt>" ) );
    groupBox3->setTitle( tr2i18n( "Automatic Checks" ) );
    QWhatsThis::add( groupBox3, tr2i18n( "<qt><p><b>Error recognition</b></p>\n"
"<p>Here you can set how to show that an error occurred. \n"
"<b>Beep on error</b> beeps and <b>Change text color on error\n"
"</b> changes the color of the translated text. If none is \n"
"activated, you will still see a message in the statusbar.\n"
"</p></qt>" ) );
    kcfg_BeepOnError->setText( tr2i18n( "&Beep on error" ) );
    kcfg_AutoCheckColorError->setText( tr2i18n( "Change te&xt color on error" ) );
    tabWidget2->changeTab( tab, tr2i18n( "&General" ) );
    kcfg_HighlightSyntax->setText( tr2i18n( "H&ighlight syntax" ) );
    kcfg_HighlightBackground->setText( tr2i18n( "Highlight backgrou&nd" ) );
    kcfg_WhitespacePoints->setText( tr2i18n( "Mark &whitespaces with points" ) );
    kcfg_EnableQuotes->setText( tr2i18n( "&Show surrounding quotes" ) );
    buttonGroup1->setTitle( tr2i18n( "Status LEDs" ) );
    QWhatsThis::add( buttonGroup1, tr2i18n( "<qt><p><b>Status LEDs</b></p>\n"
"<p>Choose here where the status LEDs are displayed and what color they have.</p></qt>" ) );
    kcfg_LedInStatusbar->setText( tr2i18n( "Display in stat&usbar" ) );
    radioButton2->setText( tr2i18n( "Display in edi&tor" ) );
    textLabel7->setText( tr2i18n( "Colo&r:" ) );
    kcfg_LedColor->setText( QString::null );
    tabWidget2->changeTab( tab_2, tr2i18n( "A&ppearance" ) );
}

/****************************************************************************
** EditorPreferences meta object code from reading C++ file 'editorpreferences.h'
**
** Created: Tue Dec 1 17:06:49 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "editorpreferences.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *EditorPreferences::className() const
{
    return "EditorPreferences";
}

QMetaObject *EditorPreferences::metaObj = 0;
static QMetaObjectCleanUp cleanUp_EditorPreferences( "EditorPreferences", &EditorPreferences::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString EditorPreferences::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "EditorPreferences", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString EditorPreferences::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "EditorPreferences", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* EditorPreferences::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUParameter param_slot_0[] = {
	{ "show", &static_QUType_bool, 0, QUParameter::In }
    };
    static const QUMethod slot_0 = {"ledWarning", 1, param_slot_0 };
    static const QUParameter param_slot_1[] = {
	{ "other", &static_QUType_bool, 0, QUParameter::In }
    };
    static const QUMethod slot_1 = {"toggleOther", 1, param_slot_1 };
    static const QUMethod slot_2 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "ledWarning(bool)", &slot_0, QMetaData::Public },
	{ "toggleOther(bool)", &slot_1, QMetaData::Public },
	{ "languageChange()", &slot_2, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"EditorPreferences", parentObject,
	slot_tbl, 3,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_EditorPreferences.setMetaObject( metaObj );
    return metaObj;
}

void* EditorPreferences::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "EditorPreferences" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool EditorPreferences::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: ledWarning((bool)static_QUType_bool.get(_o+1)); break;
    case 1: toggleOther((bool)static_QUType_bool.get(_o+1)); break;
    case 2: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool EditorPreferences::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool EditorPreferences::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool EditorPreferences::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
