#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'spelldlgwidget.ui'
**
** Created: 2015-12-01T17:06:47
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "spelldlgwidget.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a SpellDlgWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
SpellDlgWidget::SpellDlgWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "SpellDlgWidget" );
    SpellDlgWidgetLayout = new QVBoxLayout( this, 11, 6, "SpellDlgWidgetLayout"); 

    buttonGroup1 = new QButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setFlat( FALSE );
    buttonGroup1->setColumnLayout(0, Qt::Vertical );
    buttonGroup1->layout()->setSpacing( 6 );
    buttonGroup1->layout()->setMargin( 11 );
    buttonGroup1Layout = new QVBoxLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( Qt::AlignTop );

    allBtn = new QRadioButton( buttonGroup1, "allBtn" );
    buttonGroup1Layout->addWidget( allBtn );

    currentBtn = new QRadioButton( buttonGroup1, "currentBtn" );
    buttonGroup1Layout->addWidget( currentBtn );

    beginCurrentMsgBtn = new QRadioButton( buttonGroup1, "beginCurrentMsgBtn" );
    buttonGroup1Layout->addWidget( beginCurrentMsgBtn );

    beginBtn = new QRadioButton( buttonGroup1, "beginBtn" );
    buttonGroup1Layout->addWidget( beginBtn );

    endBtn = new QRadioButton( buttonGroup1, "endBtn" );
    buttonGroup1Layout->addWidget( endBtn );

    markedBtn = new QRadioButton( buttonGroup1, "markedBtn" );
    buttonGroup1Layout->addWidget( markedBtn );
    SpellDlgWidgetLayout->addWidget( buttonGroup1 );

    defaultBtn = new QCheckBox( this, "defaultBtn" );
    SpellDlgWidgetLayout->addWidget( defaultBtn );
    languageChange();
    resize( QSize(388, 262).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( allBtn, beginBtn );
    setTabOrder( beginBtn, markedBtn );
    setTabOrder( markedBtn, currentBtn );
    setTabOrder( currentBtn, endBtn );
    setTabOrder( endBtn, defaultBtn );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SpellDlgWidget::~SpellDlgWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SpellDlgWidget::languageChange()
{
    buttonGroup1->setTitle( tr2i18n( "Choose What You Want to Spell Check" ) );
    QWhatsThis::add( buttonGroup1, tr2i18n( "Spell check only the current message." ) );
    allBtn->setText( tr2i18n( "A&ll messages" ) );
    QWhatsThis::add( allBtn, tr2i18n( "Spell check all translated messages of this file." ) );
    currentBtn->setText( tr2i18n( "C&urrent message only" ) );
    QToolTip::add( currentBtn, QString::null );
    QWhatsThis::add( currentBtn, tr2i18n( "Spell check only the current message." ) );
    beginCurrentMsgBtn->setText( tr2i18n( "Fro&m beginning of current message to end of file" ) );
    beginBtn->setText( tr2i18n( "&From beginning of file to cursor position" ) );
    QWhatsThis::add( beginBtn, tr2i18n( "Spell check all text from the beginning of the file to the current cursor position." ) );
    endBtn->setText( tr2i18n( "F&rom cursor position to end of file" ) );
    QWhatsThis::add( endBtn, tr2i18n( "Spell check all text from the current cursor position to the end of the file." ) );
    markedBtn->setText( tr2i18n( "S&elected text only" ) );
    QWhatsThis::add( markedBtn, tr2i18n( "Spell check only the selected text." ) );
    defaultBtn->setText( tr2i18n( "U&se this selection as default" ) );
    QWhatsThis::add( defaultBtn, tr2i18n( "Check this, to store the current selection as default selection." ) );
}

/****************************************************************************
** SpellDlgWidget meta object code from reading C++ file 'spelldlgwidget.h'
**
** Created: Tue Dec 1 17:06:47 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "spelldlgwidget.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *SpellDlgWidget::className() const
{
    return "SpellDlgWidget";
}

QMetaObject *SpellDlgWidget::metaObj = 0;
static QMetaObjectCleanUp cleanUp_SpellDlgWidget( "SpellDlgWidget", &SpellDlgWidget::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString SpellDlgWidget::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "SpellDlgWidget", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString SpellDlgWidget::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "SpellDlgWidget", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* SpellDlgWidget::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"SpellDlgWidget", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_SpellDlgWidget.setMetaObject( metaObj );
    return metaObj;
}

void* SpellDlgWidget::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "SpellDlgWidget" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool SpellDlgWidget::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool SpellDlgWidget::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool SpellDlgWidget::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool SpellDlgWidget::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
