#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'pwidget.ui'
**
** Created: 2015-12-01T17:05:46
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "pwidget.h"

#include <qvariant.h>
#include <kurlrequester.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qbuttongroup.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a TmxCompendiumPWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
TmxCompendiumPWidget::TmxCompendiumPWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "TMXPWidget" );
    TMXPWidgetLayout = new QVBoxLayout( this, 11, 6, "TMXPWidgetLayout"); 

    GroupBox1 = new QGroupBox( this, "GroupBox1" );
    GroupBox1->setColumnLayout(0, Qt::Vertical );
    GroupBox1->layout()->setSpacing( 6 );
    GroupBox1->layout()->setMargin( 11 );
    GroupBox1Layout = new QVBoxLayout( GroupBox1->layout() );
    GroupBox1Layout->setAlignment( Qt::AlignTop );

    urlInput = new KURLRequester( GroupBox1, "urlInput" );
    GroupBox1Layout->addWidget( urlInput );
    TMXPWidgetLayout->addWidget( GroupBox1 );

    ButtonGroup1 = new QButtonGroup( this, "ButtonGroup1" );
    ButtonGroup1->setColumnLayout(0, Qt::Vertical );
    ButtonGroup1->layout()->setSpacing( 6 );
    ButtonGroup1->layout()->setMargin( 11 );
    ButtonGroup1Layout = new QVBoxLayout( ButtonGroup1->layout() );
    ButtonGroup1Layout->setAlignment( Qt::AlignTop );

    Layout4 = new QGridLayout( 0, 1, 1, 0, 6, "Layout4"); 

    wholeBtn = new QCheckBox( ButtonGroup1, "wholeBtn" );

    Layout4->addWidget( wholeBtn, 0, 1 );

    caseBtn = new QCheckBox( ButtonGroup1, "caseBtn" );

    Layout4->addWidget( caseBtn, 0, 0 );
    ButtonGroup1Layout->addLayout( Layout4 );

    TextLabel3 = new QLabel( ButtonGroup1, "TextLabel3" );
    ButtonGroup1Layout->addWidget( TextLabel3 );

    Layout3 = new QGridLayout( 0, 1, 1, 0, 6, "Layout3"); 

    equalBtn = new QCheckBox( ButtonGroup1, "equalBtn" );

    Layout3->addWidget( equalBtn, 0, 0 );

    hasWordBtn = new QCheckBox( ButtonGroup1, "hasWordBtn" );

    Layout3->addWidget( hasWordBtn, 2, 1 );

    isContainedBtn = new QCheckBox( ButtonGroup1, "isContainedBtn" );

    Layout3->addWidget( isContainedBtn, 1, 1 );

    ngramBtn = new QCheckBox( ButtonGroup1, "ngramBtn" );

    Layout3->addWidget( ngramBtn, 1, 0 );

    containsBtn = new QCheckBox( ButtonGroup1, "containsBtn" );

    Layout3->addWidget( containsBtn, 0, 1 );
    ButtonGroup1Layout->addLayout( Layout3 );
    TMXPWidgetLayout->addWidget( ButtonGroup1 );
    Spacer1 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    TMXPWidgetLayout->addItem( Spacer1 );
    languageChange();
    resize( QSize(452, 291).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
}

/*
 *  Destroys the object and frees any allocated resources
 */
TmxCompendiumPWidget::~TmxCompendiumPWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void TmxCompendiumPWidget::languageChange()
{
    GroupBox1->setTitle( tr2i18n( "&Path to Compendium File" ) );
    ButtonGroup1->setTitle( tr2i18n( "Options" ) );
    wholeBtn->setText( tr2i18n( "Onl&y whole words" ) );
    caseBtn->setText( tr2i18n( "Case sensiti&ve" ) );
    TextLabel3->setText( tr2i18n( "A text matches if:" ) );
    equalBtn->setText( tr2i18n( "E&qual to searched text" ) );
    hasWordBtn->setText( tr2i18n( "Contains a &word of searched text" ) );
    isContainedBtn->setText( tr2i18n( "Co&ntained in searched text" ) );
    ngramBtn->setText( tr2i18n( "&Similar to searched text" ) );
    containsBtn->setText( tr2i18n( "Contains searched te&xt" ) );
}

/****************************************************************************
** TmxCompendiumPWidget meta object code from reading C++ file 'pwidget.h'
**
** Created: Tue Dec 1 17:05:46 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "pwidget.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *TmxCompendiumPWidget::className() const
{
    return "TmxCompendiumPWidget";
}

QMetaObject *TmxCompendiumPWidget::metaObj = 0;
static QMetaObjectCleanUp cleanUp_TmxCompendiumPWidget( "TmxCompendiumPWidget", &TmxCompendiumPWidget::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString TmxCompendiumPWidget::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "TmxCompendiumPWidget", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString TmxCompendiumPWidget::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "TmxCompendiumPWidget", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* TmxCompendiumPWidget::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"TmxCompendiumPWidget", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_TmxCompendiumPWidget.setMetaObject( metaObj );
    return metaObj;
}

void* TmxCompendiumPWidget::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "TmxCompendiumPWidget" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool TmxCompendiumPWidget::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool TmxCompendiumPWidget::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool TmxCompendiumPWidget::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool TmxCompendiumPWidget::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
