#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'markpatternwidget.ui'
**
** Created: 2015-12-01T17:06:21
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "markpatternwidget.h"

#include <qvariant.h>
#include <kcombobox.h>
#include <qlabel.h>
#include <qbuttongroup.h>
#include <qcheckbox.h>
#include <qradiobutton.h>
#include <qpushbutton.h>
#include <qframe.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a MarkPatternWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
MarkPatternWidget::MarkPatternWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "MarkPatternWidget" );
    MarkPatternWidgetLayout = new QVBoxLayout( this, 11, 6, "MarkPatternWidgetLayout"); 

    mainLabel = new QLabel( this, "mainLabel" );
    MarkPatternWidgetLayout->addWidget( mainLabel );

    combo = new KComboBox( FALSE, this, "combo" );
    combo->setEditable( TRUE );
    MarkPatternWidgetLayout->addWidget( combo );

    buttonGroup1 = new QButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setColumnLayout(0, Qt::Vertical );
    buttonGroup1->layout()->setSpacing( 6 );
    buttonGroup1->layout()->setMargin( 11 );
    buttonGroup1Layout = new QGridLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( Qt::AlignTop );

    caseSensitive = new QCheckBox( buttonGroup1, "caseSensitive" );

    buttonGroup1Layout->addMultiCellWidget( caseSensitive, 0, 0, 0, 1 );

    inclTemplates = new QCheckBox( buttonGroup1, "inclTemplates" );

    buttonGroup1Layout->addMultiCellWidget( inclTemplates, 1, 1, 0, 1 );

    useWildcards = new QRadioButton( buttonGroup1, "useWildcards" );

    buttonGroup1Layout->addWidget( useWildcards, 3, 0 );

    regexpButton = new QPushButton( buttonGroup1, "regexpButton" );

    buttonGroup1Layout->addWidget( regexpButton, 4, 1 );

    useRegExp = new QRadioButton( buttonGroup1, "useRegExp" );

    buttonGroup1Layout->addWidget( useRegExp, 4, 0 );

    line1 = new QFrame( buttonGroup1, "line1" );
    line1->setFrameShape( QFrame::HLine );
    line1->setFrameShadow( QFrame::Sunken );
    line1->setFrameShape( QFrame::HLine );

    buttonGroup1Layout->addMultiCellWidget( line1, 2, 2, 0, 1 );
    MarkPatternWidgetLayout->addWidget( buttonGroup1 );
    languageChange();
    resize( QSize(374, 276).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( useRegExp, SIGNAL( toggled(bool) ), regexpButton, SLOT( setEnabled(bool) ) );

    // buddies
    mainLabel->setBuddy( combo );
}

/*
 *  Destroys the object and frees any allocated resources
 */
MarkPatternWidget::~MarkPatternWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void MarkPatternWidget::languageChange()
{
    mainLabel->setText( tr2i18n( "To be set dynamically:" ) );
    buttonGroup1->setTitle( tr2i18n( "Options" ) );
    caseSensitive->setText( tr2i18n( "C&ase sensitive" ) );
    inclTemplates->setText( tr2i18n( "&Include templates" ) );
    useWildcards->setText( tr2i18n( "Use &wildcards" ) );
    regexpButton->setText( tr2i18n( "&Edit" ) );
    useRegExp->setText( tr2i18n( "Use regu&lar expression" ) );
}

/****************************************************************************
** MarkPatternWidget meta object code from reading C++ file 'markpatternwidget.h'
**
** Created: Tue Dec 1 17:06:21 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "markpatternwidget.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *MarkPatternWidget::className() const
{
    return "MarkPatternWidget";
}

QMetaObject *MarkPatternWidget::metaObj = 0;
static QMetaObjectCleanUp cleanUp_MarkPatternWidget( "MarkPatternWidget", &MarkPatternWidget::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString MarkPatternWidget::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "MarkPatternWidget", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString MarkPatternWidget::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "MarkPatternWidget", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* MarkPatternWidget::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"MarkPatternWidget", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_MarkPatternWidget.setMetaObject( metaObj );
    return metaObj;
}

void* MarkPatternWidget::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "MarkPatternWidget" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool MarkPatternWidget::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool MarkPatternWidget::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool MarkPatternWidget::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool MarkPatternWidget::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
