#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'validateprogresswidget.ui'
**
** Created: 2015-12-01T17:06:20
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "validateprogresswidget.h"

#include <qvariant.h>
#include <qlabel.h>
#include <kprogress.h>
#include <ksqueezedtextlabel.h>
#include <qlistbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "validateprogresswidget.ui.h"

/*
 *  Constructs a ValidateProgressWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ValidateProgressWidget::ValidateProgressWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ValidateProgressWidget" );
    ValidateProgressWidgetLayout = new QVBoxLayout( this, 11, 6, "ValidateProgressWidgetLayout"); 

    layout2 = new QGridLayout( 0, 1, 1, 0, 6, "layout2"); 

    _currentAction = new QLabel( this, "_currentAction" );
    _currentAction->setMinimumSize( QSize( 92, 0 ) );

    layout2->addWidget( _currentAction, 2, 0 );

    _overallProgress = new KProgress( this, "_overallProgress" );

    layout2->addMultiCellWidget( _overallProgress, 3, 3, 1, 2 );

    _currentTool = new KSqueezedTextLabel( this, "_currentTool" );

    layout2->addWidget( _currentTool, 0, 2 );

    textLabel1_2 = new QLabel( this, "textLabel1_2" );

    layout2->addWidget( textLabel1_2, 3, 0 );

    _currentFileProgress = new KProgress( this, "_currentFileProgress" );

    layout2->addMultiCellWidget( _currentFileProgress, 2, 2, 1, 2 );

    _currentFile = new KSqueezedTextLabel( this, "_currentFile" );

    layout2->addWidget( _currentFile, 1, 2 );

    _currentLabel = new QLabel( this, "_currentLabel" );

    layout2->addMultiCellWidget( _currentLabel, 1, 1, 0, 1 );

    textLabel3_2 = new QLabel( this, "textLabel3_2" );

    layout2->addWidget( textLabel3_2, 0, 0 );
    ValidateProgressWidgetLayout->addLayout( layout2 );

    _errorList = new QListBox( this, "_errorList" );
    ValidateProgressWidgetLayout->addWidget( _errorList );
    languageChange();
    resize( QSize(448, 295).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( this, SIGNAL( setValidationProgressBar(int) ), _currentFileProgress, SLOT( setValue(int) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ValidateProgressWidget::~ValidateProgressWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ValidateProgressWidget::languageChange()
{
    _currentAction->setText( tr2i18n( "Current:" ) );
    _currentTool->setText( QString::null );
    textLabel1_2->setText( tr2i18n( "Overall:" ) );
    _currentFile->setText( QString::null );
    _currentLabel->setText( tr2i18n( "Current file:" ) );
    textLabel3_2->setText( tr2i18n( "Validation:" ) );
    _errorList->clear();
    _errorList->insertItem( tr2i18n( "New Item" ) );
}

/****************************************************************************
** ValidateProgressWidget meta object code from reading C++ file 'validateprogresswidget.h'
**
** Created: Tue Dec 1 17:06:21 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "validateprogresswidget.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *ValidateProgressWidget::className() const
{
    return "ValidateProgressWidget";
}

QMetaObject *ValidateProgressWidget::metaObj = 0;
static QMetaObjectCleanUp cleanUp_ValidateProgressWidget( "ValidateProgressWidget", &ValidateProgressWidget::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString ValidateProgressWidget::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "ValidateProgressWidget", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString ValidateProgressWidget::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "ValidateProgressWidget", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* ValidateProgressWidget::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUParameter param_slot_0[] = {
	{ "text", &static_QUType_QString, 0, QUParameter::In },
	{ "maxvalue", &static_QUType_int, 0, QUParameter::In }
    };
    static const QUMethod slot_0 = {"setupFileProgressBar", 2, param_slot_0 };
    static const QUMethod slot_1 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "setupFileProgressBar(QString,int)", &slot_0, QMetaData::Public },
	{ "languageChange()", &slot_1, QMetaData::Protected }
    };
    static const QUParameter param_signal_0[] = {
	{ 0, &static_QUType_int, 0, QUParameter::In }
    };
    static const QUMethod signal_0 = {"setValidationProgressBar", 1, param_signal_0 };
    static const QMetaData signal_tbl[] = {
	{ "setValidationProgressBar(int)", &signal_0, QMetaData::Public }
    };
    metaObj = QMetaObject::new_metaobject(
	"ValidateProgressWidget", parentObject,
	slot_tbl, 2,
	signal_tbl, 1,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_ValidateProgressWidget.setMetaObject( metaObj );
    return metaObj;
}

void* ValidateProgressWidget::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "ValidateProgressWidget" ) )
	return this;
    return QWidget::qt_cast( clname );
}

// SIGNAL setValidationProgressBar
void ValidateProgressWidget::setValidationProgressBar( int t0 )
{
    activate_signal( staticMetaObject()->signalOffset() + 0, t0 );
}

bool ValidateProgressWidget::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: setupFileProgressBar((QString)static_QUType_QString.get(_o+1),(int)static_QUType_int.get(_o+2)); break;
    case 1: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool ValidateProgressWidget::qt_emit( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->signalOffset() ) {
    case 0: setValidationProgressBar((int)static_QUType_int.get(_o+1)); break;
    default:
	return QWidget::qt_emit(_id,_o);
    }
    return TRUE;
}
#ifndef QT_NO_PROPERTIES

bool ValidateProgressWidget::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool ValidateProgressWidget::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
