#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'validationoptions.ui'
**
** Created: 2015-12-01T17:06:20
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "validationoptions.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ValidationOptions as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ValidationOptions::ValidationOptions( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ValidationOptions" );
    ValidationOptionsLayout = new QVBoxLayout( this, 11, 6, "ValidationOptionsLayout"); 

    layout1 = new QVBoxLayout( 0, 0, 6, "layout1"); 

    markAsFuzzy = new QCheckBox( this, "markAsFuzzy" );
    layout1->addWidget( markAsFuzzy );

    ignoreFuzzy = new QCheckBox( this, "ignoreFuzzy" );
    layout1->addWidget( ignoreFuzzy );
    ValidationOptionsLayout->addLayout( layout1 );
    languageChange();
    resize( QSize(174, 70).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ValidationOptions::~ValidationOptions()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ValidationOptions::languageChange()
{
    markAsFuzzy->setText( tr2i18n( "Mark invalid as &fuzzy" ) );
    QWhatsThis::add( markAsFuzzy, tr2i18n( "<qt><p><b>Mark invalid as fuzzy</b><p>\n"
"<p>If you select this option, all items,\n"
"which identifies the tool as invalid, will be\n"
"marked as fuzzy and the resulting file\n"
"will be saved.</p></qt>" ) );
    ignoreFuzzy->setText( tr2i18n( "&Do not validate fuzzy" ) );
    QWhatsThis::add( ignoreFuzzy, tr2i18n( "<qt><p><b>Do not validate fuzzy</b><p>\n"
"<p>If you select this option, all items\n"
"marked as fuzzy will not be validated at all.</p></qt>" ) );
}

/****************************************************************************
** ValidationOptions meta object code from reading C++ file 'validationoptions.h'
**
** Created: Tue Dec 1 17:06:20 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "validationoptions.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *ValidationOptions::className() const
{
    return "ValidationOptions";
}

QMetaObject *ValidationOptions::metaObj = 0;
static QMetaObjectCleanUp cleanUp_ValidationOptions( "ValidationOptions", &ValidationOptions::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString ValidationOptions::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "ValidationOptions", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString ValidationOptions::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "ValidationOptions", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* ValidationOptions::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"ValidationOptions", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_ValidationOptions.setMetaObject( metaObj );
    return metaObj;
}

void* ValidationOptions::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "ValidationOptions" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool ValidationOptions::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool ValidationOptions::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool ValidationOptions::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool ValidationOptions::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
