#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'diffpreferences.ui'
**
** Created: 2015-12-01T17:06:02
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "diffpreferences.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlabel.h>
#include <kurlrequester.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "diffpreferences.ui.h"

/*
 *  Constructs a DiffPreferences as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
DiffPreferences::DiffPreferences( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "DiffPreferences" );
    DiffPreferencesLayout = new QVBoxLayout( this, 11, 6, "DiffPreferencesLayout"); 

    kcfg_UseDBForDiff = new QButtonGroup( this, "kcfg_UseDBForDiff" );
    kcfg_UseDBForDiff->setColumnLayout(0, Qt::Vertical );
    kcfg_UseDBForDiff->layout()->setSpacing( 6 );
    kcfg_UseDBForDiff->layout()->setMargin( 11 );
    kcfg_UseDBForDiffLayout = new QVBoxLayout( kcfg_UseDBForDiff->layout() );
    kcfg_UseDBForDiffLayout->setAlignment( Qt::AlignTop );

    radioButton1 = new QRadioButton( kcfg_UseDBForDiff, "radioButton1" );
    kcfg_UseDBForDiffLayout->addWidget( radioButton1 );

    radioButton2 = new QRadioButton( kcfg_UseDBForDiff, "radioButton2" );
    kcfg_UseDBForDiffLayout->addWidget( radioButton2 );

    radioButton3 = new QRadioButton( kcfg_UseDBForDiff, "radioButton3" );
    kcfg_UseDBForDiffLayout->addWidget( radioButton3 );
    DiffPreferencesLayout->addWidget( kcfg_UseDBForDiff );

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    layout1->addWidget( textLabel1 );

    kcfg_DiffBaseDir = new KURLRequester( this, "kcfg_DiffBaseDir" );
    layout1->addWidget( kcfg_DiffBaseDir );
    DiffPreferencesLayout->addLayout( layout1 );
    spacer1 = new QSpacerItem( 20, 31, QSizePolicy::Minimum, QSizePolicy::Expanding );
    DiffPreferencesLayout->addItem( spacer1 );
    languageChange();
    resize( QSize(538, 462).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    textLabel1->setBuddy( kcfg_DiffBaseDir );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
DiffPreferences::~DiffPreferences()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DiffPreferences::languageChange()
{
    kcfg_UseDBForDiff->setTitle( tr2i18n( "Diff Source" ) );
    QWhatsThis::add( kcfg_UseDBForDiff, tr2i18n( "<qt><p><b>Source for difference lookup</b></p>\n"
"<p>Here you can select a source, which should be used\n"
"for finding a difference.</p>\n"
"<p>You can select file, translation database or\n"
"corresponding msgstr.</p>\n"
"<p>If you choose the translation database, the messages to diff with are\n"
"taken from the Translation Database; to be useful, you have\n"
"to enable <i>Auto add entry to database</i> in its\n"
"preferences dialog.</p>\n"
"<p>The last option is useful for those using PO-files\n"
"for proofreading.</p>\n"
"<p>You can temporarily diff with messages from a file\n"
"by choosing <i>Tools->Diff->Open file for diff</i>\n"
"in KBabel's main window.</p></qt>" ) );
    radioButton1->setText( tr2i18n( "Use &file" ) );
    radioButton2->setText( tr2i18n( "Use messages from &translation database" ) );
    radioButton3->setText( tr2i18n( "Use &msgstr from the same file" ) );
    textLabel1->setText( tr2i18n( "Base folder for diff files:" ) );
    QWhatsThis::add( kcfg_DiffBaseDir, tr2i18n( "<qt><q><b>Base folder for diff files</b></q>\n"
"<p>Here you can define a folder in which the files to\n"
"diff with are stored. If the files are stored at the same\n"
"place beneath this folder as the original files beneath\n"
"their base folder, KBabel can automatically open the correct\n"
"file to diff with.</p>\n"
"<p>Note that this option has no effect if messages from\n"
"the database are used for diffing.</p></qt>" ) );
}

/****************************************************************************
** DiffPreferences meta object code from reading C++ file 'diffpreferences.h'
**
** Created: Tue Dec 1 17:06:02 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "diffpreferences.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *DiffPreferences::className() const
{
    return "DiffPreferences";
}

QMetaObject *DiffPreferences::metaObj = 0;
static QMetaObjectCleanUp cleanUp_DiffPreferences( "DiffPreferences", &DiffPreferences::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString DiffPreferences::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "DiffPreferences", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString DiffPreferences::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "DiffPreferences", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* DiffPreferences::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"DiffPreferences", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_DiffPreferences.setMetaObject( metaObj );
    return metaObj;
}

void* DiffPreferences::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "DiffPreferences" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool DiffPreferences::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool DiffPreferences::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool DiffPreferences::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool DiffPreferences::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
