#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'projectwizardwidget.ui'
**
** Created: 2015-12-01T17:06:03
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "projectwizardwidget.h"

#include <qvariant.h>
#include <qlabel.h>
#include <kurlrequester.h>
#include <qcombobox.h>
#include <klineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "projectwizardwidget.ui.h"

/*
 *  Constructs a ProjectStep1 as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ProjectStep1::ProjectStep1( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ProjectStep1" );
    ProjectStep1Layout = new QVBoxLayout( this, KDialog::marginHint(), KDialog::spacingHint(), "ProjectStep1Layout"); 

    textLabel1_3 = new QLabel( this, "textLabel1_3" );
    ProjectStep1Layout->addWidget( textLabel1_3 );

    layout3 = new QGridLayout( 0, 1, 1, 0, KDialog::spacingHint(), "layout3"); 

    _projectFile = new KURLRequester( this, "_projectFile" );
    _projectFile->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, _projectFile->sizePolicy().hasHeightForWidth() ) );

    layout3->addWidget( _projectFile, 1, 1 );

    textLabel1_2 = new QLabel( this, "textLabel1_2" );

    layout3->addWidget( textLabel1_2, 2, 0 );

    textLabel1 = new QLabel( this, "textLabel1" );
    textLabel1->setEnabled( TRUE );

    layout3->addWidget( textLabel1, 0, 0 );

    _projectLanguage = new QComboBox( FALSE, this, "_projectLanguage" );
    _projectLanguage->setEditable( TRUE );

    layout3->addWidget( _projectLanguage, 2, 1 );

    textLabel2_2 = new QLabel( this, "textLabel2_2" );

    layout3->addWidget( textLabel2_2, 3, 0 );

    _projectName = new KLineEdit( this, "_projectName" );
    _projectName->setEnabled( TRUE );

    layout3->addWidget( _projectName, 0, 1 );

    textLabel2 = new QLabel( this, "textLabel2" );

    layout3->addWidget( textLabel2, 1, 0 );

    _projectType = new QComboBox( FALSE, this, "_projectType" );
    _projectType->setEditable( FALSE );

    layout3->addWidget( _projectType, 3, 1 );
    ProjectStep1Layout->addLayout( layout3 );
    languageChange();
    resize( QSize(486, 432).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( _projectName, _projectFile );
    setTabOrder( _projectFile, _projectLanguage );
    setTabOrder( _projectLanguage, _projectType );

    // buddies
    textLabel1_2->setBuddy( _projectLanguage );
    textLabel1->setBuddy( _projectName );
    textLabel2_2->setBuddy( _projectType );
    textLabel2->setBuddy( _projectFile );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ProjectStep1::~ProjectStep1()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ProjectStep1::languageChange()
{
    textLabel1_3->setText( tr2i18n( "<font size=\"+1\">Welcome to Project Wizard!</font>\n"
"<br/>\n"
"<p>\n"
"The wizard will help you to setup a new translation\n"
"project for KBabel.\n"
"</p>\n"
"<p>\n"
"First of all, you need to choose the project name\n"
"and the file, where the configuration should be stored.\n"
"</p>\n"
"<p>\n"
"You should also choose a language to translate into\n"
"and also a type of the translation project.\n"
"</p>" ) );
    QWhatsThis::add( _projectFile, tr2i18n( "<qt>\n"
"<p><b>Configuration File Name</b><br/>\n"
"The name of a file to store the configuration of the\n"
"project.</p>\n"
"</qt>" ) );
    textLabel1_2->setText( tr2i18n( "&Language:" ) );
    QWhatsThis::add( textLabel1_2, tr2i18n( "<qt>\n"
"<p>\n"
"<b>Language</b><br/>\n"
"The destination language of the project, i.e., the language\n"
"to translate into. It should follow the ISO 631 language naming\n"
"standard.</p>\n"
"</qt>" ) );
    textLabel1->setText( tr2i18n( "Project &name:" ) );
    QWhatsThis::add( textLabel1, tr2i18n( "<qt><p><b>Project name</b><br/>\n"
"The project name is an identification of a project for\n"
"you. It is shown in the project configuration dialog\n"
"as well as in the title of windows opened for the project.\n"
"<br/>\n"
"<br/>\n"
"<b>Note:</b> The project name cannot be later changed.<\n"
"</p></qt>" ) );
    QWhatsThis::add( _projectLanguage, tr2i18n( "<qt>\n"
"<p>\n"
"<b>Language</b><br/>\n"
"The destination language of the project, i.e., the language\n"
"to translate into. It should follow the ISO 631 language naming\n"
"standard.</p>\n"
"</qt>" ) );
    textLabel2_2->setText( tr2i18n( "Project &type:" ) );
    QWhatsThis::add( textLabel2_2, tr2i18n( "<qt>\n"
"<p>\n"
"<b>Project Type</b>\n"
"The project type allows to tune the settings for the\n"
"particular type of the well-known translation projects.\n"
"For example, it sets up the validation tools,\n"
"an accelerator marker and formatting of the header.\n"
"</p>\n"
"<p>Currently known types:\n"
"<ul>\n"
"<li><b>KDE</b>: K Desktop Environment Internalization project</li>\n"
"<li><b>GNOME</b>: GNOME Translation project</li>\n"
"<li><b>Translation Robot</b>: Translation Project Robot</li>\n"
"<li><b>Other</b>: Other kind of project. No tuning will be\n"
"done</li>\n"
"</ul>\n"
"</p>\n"
"</qt>" ) );
    QWhatsThis::add( _projectName, tr2i18n( "<qt><p><b>Project name</b><br/>\n"
"The project name is an identification of a project for\n"
"you. It is shown in the project configuration dialog\n"
"as well as in the title of windows opened for the project.\n"
"<br/>\n"
"<br/>\n"
"<b>Note:</b> The project name cannot be later changed.<\n"
"</p></qt>" ) );
    textLabel2->setText( tr2i18n( "Configuration &file name:" ) );
    QWhatsThis::add( textLabel2, tr2i18n( "<qt>\n"
"<p><b>Configuration File Name</b><br/>\n"
"The name of a file to store the configuration of the\n"
"project.</p>\n"
"</qt>" ) );
    _projectType->clear();
    _projectType->insertItem( tr2i18n( "KDE" ) );
    _projectType->insertItem( tr2i18n( "GNOME" ) );
    _projectType->insertItem( tr2i18n( "Translation Project Robot" ) );
    _projectType->insertItem( tr2i18n( "Other" ) );
    QWhatsThis::add( _projectType, tr2i18n( "<qt>\n"
"<p>\n"
"<b>Project Type</b>\n"
"The project type allows to tune the settings for the\n"
"particular type of the well-known translation projects.\n"
"For example, it sets up the validation tools,\n"
"an accelerator marker and formatting of the header.\n"
"</p>\n"
"<p>Currently known types:\n"
"<ul>\n"
"<li><b>KDE</b>: K Desktop Environment Internalization project</li>\n"
"<li><b>GNOME</b>: GNOME Translation project</li>\n"
"<li><b>Translation Robot</b>: Translation Project Robot</li>\n"
"<li><b>Other</b>: Other kind of project. No tuning will be\n"
"done</li>\n"
"</ul>\n"
"</p>\n"
"</qt>" ) );
}

/****************************************************************************
** ProjectStep1 meta object code from reading C++ file 'projectwizardwidget.h'
**
** Created: Tue Dec 1 17:06:03 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "projectwizardwidget.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *ProjectStep1::className() const
{
    return "ProjectStep1";
}

QMetaObject *ProjectStep1::metaObj = 0;
static QMetaObjectCleanUp cleanUp_ProjectStep1( "ProjectStep1", &ProjectStep1::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString ProjectStep1::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "ProjectStep1", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString ProjectStep1::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "ProjectStep1", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* ProjectStep1::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"ProjectStep1", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_ProjectStep1.setMetaObject( metaObj );
    return metaObj;
}

void* ProjectStep1::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "ProjectStep1" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool ProjectStep1::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool ProjectStep1::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool ProjectStep1::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool ProjectStep1::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
