#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'colorpreferences.ui'
**
** Created: 2015-12-01T17:06:49
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "colorpreferences.h"

#include <qvariant.h>
#include <kcolorbutton.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ColorPreferences as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ColorPreferences::ColorPreferences( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ColorPreferences" );
    ColorPreferencesLayout = new QGridLayout( this, 1, 1, 11, 6, "ColorPreferencesLayout"); 

    kcfg_QuotedColor = new KColorButton( this, "kcfg_QuotedColor" );

    ColorPreferencesLayout->addWidget( kcfg_QuotedColor, 1, 1 );

    kcfg_BackgroundColor = new KColorButton( this, "kcfg_BackgroundColor" );

    ColorPreferencesLayout->addWidget( kcfg_BackgroundColor, 0, 1 );

    textLabel1 = new QLabel( this, "textLabel1" );

    ColorPreferencesLayout->addWidget( textLabel1, 0, 0 );

    textLabel2 = new QLabel( this, "textLabel2" );

    ColorPreferencesLayout->addWidget( textLabel2, 1, 0 );

    textLabel3 = new QLabel( this, "textLabel3" );

    ColorPreferencesLayout->addWidget( textLabel3, 2, 0 );

    kcfg_ErrorColor = new KColorButton( this, "kcfg_ErrorColor" );

    ColorPreferencesLayout->addWidget( kcfg_ErrorColor, 2, 1 );

    label = new QLabel( this, "label" );

    ColorPreferencesLayout->addWidget( label, 3, 0 );

    kcfg_SpellcheckErrorColor = new KColorButton( this, "kcfg_SpellcheckErrorColor" );

    ColorPreferencesLayout->addWidget( kcfg_SpellcheckErrorColor, 3, 1 );

    textLabel5 = new QLabel( this, "textLabel5" );

    ColorPreferencesLayout->addWidget( textLabel5, 5, 0 );

    kcfg_TagColor = new KColorButton( this, "kcfg_TagColor" );

    ColorPreferencesLayout->addWidget( kcfg_TagColor, 6, 1 );

    kcfg_AccelColor = new KColorButton( this, "kcfg_AccelColor" );

    ColorPreferencesLayout->addWidget( kcfg_AccelColor, 5, 1 );

    textLabel4 = new QLabel( this, "textLabel4" );

    ColorPreferencesLayout->addWidget( textLabel4, 4, 0 );

    kcfg_CformatColor = new KColorButton( this, "kcfg_CformatColor" );

    ColorPreferencesLayout->addWidget( kcfg_CformatColor, 4, 1 );

    textLabel6 = new QLabel( this, "textLabel6" );

    ColorPreferencesLayout->addWidget( textLabel6, 6, 0 );
    spacer4 = new QSpacerItem( 20, 50, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ColorPreferencesLayout->addItem( spacer4, 7, 0 );
    languageChange();
    resize( QSize(627, 480).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    textLabel1->setBuddy( kcfg_BackgroundColor );
    textLabel2->setBuddy( kcfg_QuotedColor );
    textLabel3->setBuddy( kcfg_ErrorColor );
    label->setBuddy( kcfg_ErrorColor );
    textLabel5->setBuddy( kcfg_AccelColor );
    textLabel4->setBuddy( kcfg_CformatColor );
    textLabel6->setBuddy( kcfg_TagColor );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ColorPreferences::~ColorPreferences()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ColorPreferences::languageChange()
{
    kcfg_QuotedColor->setText( QString::null );
    kcfg_BackgroundColor->setText( QString::null );
    textLabel1->setText( tr2i18n( "&Background color:" ) );
    textLabel2->setText( tr2i18n( "Color for &quoted characters:" ) );
    textLabel3->setText( tr2i18n( "Color for &syntax errors:" ) );
    kcfg_ErrorColor->setText( QString::null );
    label->setText( tr2i18n( "Color for s&pellcheck errors:" ) );
    kcfg_SpellcheckErrorColor->setText( QString::null );
    QWhatsThis::add( kcfg_SpellcheckErrorColor, tr2i18n( "<qt>Here you can setup a color to display identified <b>mispelled</b> words and\n"
"phrases.</qt>" ) );
    textLabel5->setText( tr2i18n( "Color for &keyboard accelerators:" ) );
    kcfg_TagColor->setText( QString::null );
    kcfg_AccelColor->setText( QString::null );
    textLabel4->setText( tr2i18n( "Color for c-for&mat characters:" ) );
    kcfg_CformatColor->setText( QString::null );
    textLabel6->setText( tr2i18n( "Color for &tags:" ) );
}

/****************************************************************************
** ColorPreferences meta object code from reading C++ file 'colorpreferences.h'
**
** Created: Tue Dec 1 17:06:49 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "colorpreferences.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *ColorPreferences::className() const
{
    return "ColorPreferences";
}

QMetaObject *ColorPreferences::metaObj = 0;
static QMetaObjectCleanUp cleanUp_ColorPreferences( "ColorPreferences", &ColorPreferences::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString ColorPreferences::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "ColorPreferences", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString ColorPreferences::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "ColorPreferences", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* ColorPreferences::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"ColorPreferences", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_ColorPreferences.setMetaObject( metaObj );
    return metaObj;
}

void* ColorPreferences::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "ColorPreferences" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool ColorPreferences::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool ColorPreferences::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool ColorPreferences::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool ColorPreferences::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
