#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'fontpreferences.ui'
**
** Created: 2015-12-01T17:06:48
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "fontpreferences.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <kfontdialog.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "fontpreferences.ui.h"

/*
 *  Constructs a FontPreferences as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
FontPreferences::FontPreferences( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "FontPreferences" );
    FontPreferencesLayout = new QVBoxLayout( this, 11, 6, "FontPreferencesLayout"); 

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QVBoxLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    checkBox1 = new QCheckBox( groupBox1, "checkBox1" );
    groupBox1Layout->addWidget( checkBox1 );

    kcfg_MsgFont = new KFontChooser( groupBox1, "kcfg_MsgFont" );
    groupBox1Layout->addWidget( kcfg_MsgFont );
    FontPreferencesLayout->addWidget( groupBox1 );
    languageChange();
    resize( QSize(595, 515).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( checkBox1, SIGNAL( toggled(bool) ), this, SLOT( showOnlyFixedFonts(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
FontPreferences::~FontPreferences()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void FontPreferences::languageChange()
{
    groupBox1->setTitle( tr2i18n( "Font for Messages" ) );
    checkBox1->setText( tr2i18n( "&Show only fixed font" ) );
}

/****************************************************************************
** FontPreferences meta object code from reading C++ file 'fontpreferences.h'
**
** Created: Tue Dec 1 17:06:48 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "fontpreferences.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *FontPreferences::className() const
{
    return "FontPreferences";
}

QMetaObject *FontPreferences::metaObj = 0;
static QMetaObjectCleanUp cleanUp_FontPreferences( "FontPreferences", &FontPreferences::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString FontPreferences::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "FontPreferences", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString FontPreferences::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "FontPreferences", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* FontPreferences::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QUParameter param_slot_1[] = {
	{ "on", &static_QUType_bool, 0, QUParameter::In }
    };
    static const QUMethod slot_1 = {"showOnlyFixedFonts", 1, param_slot_1 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected },
	{ "showOnlyFixedFonts(bool)", &slot_1, QMetaData::Private }
    };
    metaObj = QMetaObject::new_metaobject(
	"FontPreferences", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_FontPreferences.setMetaObject( metaObj );
    return metaObj;
}

void* FontPreferences::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "FontPreferences" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool FontPreferences::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: showOnlyFixedFonts((bool)static_QUType_bool.get(_o+1)); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool FontPreferences::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool FontPreferences::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool FontPreferences::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
