#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'searchpreferences.ui'
**
** Created: 2015-12-01T17:06:49
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "searchpreferences.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qframe.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a SearchPreferences as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
SearchPreferences::SearchPreferences( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "SearchPreferences" );
    SearchPreferencesLayout = new QVBoxLayout( this, 11, 6, "SearchPreferencesLayout"); 

    frame3 = new QFrame( this, "frame3" );
    frame3->setFrameShape( QFrame::StyledPanel );
    frame3->setFrameShadow( QFrame::Raised );
    frame3Layout = new QVBoxLayout( frame3, 11, 6, "frame3Layout"); 

    kcfg_AutoSearch = new QCheckBox( frame3, "kcfg_AutoSearch" );
    frame3Layout->addWidget( kcfg_AutoSearch );

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1"); 

    textLabel1 = new QLabel( frame3, "textLabel1" );
    layout1->addWidget( textLabel1 );

    _kcfg_DefaultModule = new QComboBox( FALSE, frame3, "_kcfg_DefaultModule" );
    layout1->addWidget( _kcfg_DefaultModule );
    frame3Layout->addLayout( layout1 );
    SearchPreferencesLayout->addWidget( frame3 );
    spacer1 = new QSpacerItem( 31, 91, QSizePolicy::Minimum, QSizePolicy::Expanding );
    SearchPreferencesLayout->addItem( spacer1 );
    languageChange();
    resize( QSize(600, 480).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    textLabel1->setBuddy( _kcfg_DefaultModule );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SearchPreferences::~SearchPreferences()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SearchPreferences::languageChange()
{
    kcfg_AutoSearch->setText( tr2i18n( "Au&tomatically start search" ) );
    QWhatsThis::add( kcfg_AutoSearch, tr2i18n( "<qt><p><b>Automatically start search</b></p>\n"
"<p>If this is activated, the search is automatically started \n"
"whenever you switch to another entry in the editor. You can \n"
"choose where to search with the combo box <b>Default Dictionary</b>.\n"
"</p><p>You can also start searching manually by choosing an entry in \n"
"the popup menu that appears either when clicking \n"
"<b>Dictionaries->Find...</b> or keeping the dictionary button \n"
"in the toolbar pressed for a while.</p></qt>" ) );
    textLabel1->setText( tr2i18n( "D&efault dictionary:" ) );
    QWhatsThis::add( _kcfg_DefaultModule, tr2i18n( "<qt><p><b>Default Dictionary</b></p>\n"
"<p>Choose here where to search as default. \n"
"This setting is used when searching is started automatically \n"
"or when pressing the dictionary button in the toolbar.</p>\n"
"<p>You can configure the different dictionaries by selecting \n"
"the desired dictionary from <b>Settings->Configure Dictionary</b>.\n"
"</p></qt>" ) );
}

/****************************************************************************
** SearchPreferences meta object code from reading C++ file 'searchpreferences.h'
**
** Created: Tue Dec 1 17:06:49 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "searchpreferences.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *SearchPreferences::className() const
{
    return "SearchPreferences";
}

QMetaObject *SearchPreferences::metaObj = 0;
static QMetaObjectCleanUp cleanUp_SearchPreferences( "SearchPreferences", &SearchPreferences::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString SearchPreferences::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "SearchPreferences", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString SearchPreferences::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "SearchPreferences", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* SearchPreferences::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"SearchPreferences", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_SearchPreferences.setMetaObject( metaObj );
    return metaObj;
}

void* SearchPreferences::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "SearchPreferences" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool SearchPreferences::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool SearchPreferences::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool SearchPreferences::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool SearchPreferences::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
